local myMod = ...

-- Register the monument
myMod:register({
	DataType = "MONUMENT",
	Id = "DECO_STUFF",
	Name = "DECO_STUFF_NAME",
	Description = "DECO_STUFF_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "DECO_STUFF_GENERAL",
		BuildingPartList = {
			"DECO_STONES_PART",
			"DECO_WOOD_PART",
			"DECO_WOOD2_PART",
			"DECO_TORCH_PART",
			"DECO_LAMP_PART",
			"DECO_BARREL1_PART",
			"DECO_CRATE1_PART"}
		}
	},
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true,
	IsClearTrees = true
})
--[[
myMod:register({
	DataType = "UNLOCKABLE_BUILDING",
	Id = "UNLOCKABLE_CASTLE_BIG",
	Name = "UNLOCKABLE_CASTLE_BIG_NAME",
	Description = "UNLOCKABLE_CASTLE_BIG_DESC",
	EstateInfluenceCostList = {
		{ Estate = "KINGDOM", Quantity = 1 }
	},
	RelatedProp = "CASTLE_BIG"
})]]